<?xml version="1.0" encoding="utf-8"?>
<page xmlns="http://projectmallard.org/1.0/" xmlns:its="http://www.w3.org/2005/11/its" type="topic" style="task a11y" id="a11y-stickykeys" xml:lang="kn">

  <info>
    <link type="guide" xref="a11y#mobility" group="keyboard"/>
    <link type="guide" xref="keyboard" group="a11y"/>

    <revision pkgversion="3.8.0" date="2013-03-13" status="candidate"/>
    <revision pkgversion="3.9.92" date="2013-09-18" status="candidate"/>
    <revision pkgversion="3.13.92" date="2014-09-20" status="final"/>
    <revision pkgversion="3.18" date="2015-09-28" status="final"/>
    <revision pkgversion="3.29" date="2018-09-05" status="review"/>
    <revision pkgversion="3.33.3" date="2019-07-21" status="review"/>

    <include xmlns="http://www.w3.org/2001/XInclude" href="legal.xml"/>

    <credit type="author">
      <name>Shaun McCance</name>
      <email>shaunm@gnome.org</email>
    </credit>
    <credit type="author">
      <name>Phil Bull</name>
      <email>philbull@gmail.com</email>
    </credit>
    <credit type="editor">
      <name>Michael Hill</name>
      <email>mdhillca@gmail.com</email>
    </credit>
    <credit type="editor">
      <name>Ekaterina Gerasimova</name>
      <email>kittykat3756@gmail.com</email>
    </credit>

    <desc>Type keyboard shortcuts one key at a time rather than having to hold
     down all of the keys at once.</desc>
  </info>

  <title>Turn on sticky keys</title>

  <p><em>Sticky keys</em> allows you to type keyboard shortcuts one key at a
  time rather than having to hold down all of the keys at once. For example,
  the <keyseq><key xref="keyboard-key-super">Super</key><key>Tab</key></keyseq>
  shortcut switches between windows. Without sticky keys turned on, you would
  have to hold down both keys at the same time; with sticky keys turned on, you
  would press <key>Super</key> and then <key>Tab</key> to do the same.</p>

  <p>You might want to turn on sticky keys if you find it difficult to hold
  down several keys at once.</p>

  <steps>
    <item>
      <p>Open the <gui xref="shell-introduction#activities">Activities</gui> 
      overview and start typing <gui>Settings</gui>.</p>
    </item>
    <item>
      <p>Click on <gui>Settings</gui>.</p>
    </item>
    <item>
      <p>Click <gui>Accessibility</gui> in the sidebar to open the panel.</p>
    </item>
    <item>
      <p>Press <gui>Typing Assist (AccessX)</gui> in the <gui>Typing</gui>
      section.</p>
    </item>
    <item>
      <p>Switch the <gui>Sticky Keys</gui> switch to on.</p>
    </item>
  </steps>

  <note style="tip">
    <title>Quickly turn sticky keys on and off</title>
    <p>Switch the <gui>Enable by Keyboard</gui> switch
    to turn sticky keys on and off from the keyboard. When this option is
    selected, you can press <key>Shift</key> five times in a row to enable or
    disable sticky keys.</p>
    <p>You can also turn sticky keys on and off by clicking the
    <link xref="a11y-icon">accessibility icon</link> on the top bar and
    selecting <gui>Sticky Keys</gui>. The accessibility icon is visible when
    one or more settings have been enabled from the <gui>Accessibility</gui>
    panel.</p>
  </note>

  <p>If you press two keys at once, you can have sticky keys turn itself off
  temporarily to let you enter a keyboard shortcut in the normal way.</p>

  <p>For example, if you have sticky keys turned on but press <key>Super</key>
  and <key>Tab</key> simultaneously, sticky keys would not wait for you to
  press another key if you had this option turned on. It <em>would</em> wait if
  you only pressed one key, however. This is useful if you are able to press
  some keyboard shortcuts simultaneously (for example, keys that are close
  together), but not others.</p>

  <p>Select <gui>Disable if two keys are pressed together</gui> to enable
  this.</p>

  <p>You can have the computer make a “beep” sound when you start typing a
  keyboard shortcut with sticky keys turned on. This is useful if you want to
  know that sticky keys is expecting a keyboard shortcut to be typed, so the
  next key press will be interpreted as part of a shortcut. Select <gui>Beep
  when a modifier key is pressed</gui> to enable this.</p>

</page>
